Index: client_app/src/components/account_edit/company_edit.js
===================================================================
--- client_app/src/components/account_edit/company_edit.js	(revision 6729ba51f1105d56935c5cae90757ade1cac2082)
+++ client_app/src/components/account_edit/company_edit.js	(revision df62f687db832c6b9ba160eff50f603f7707074d)
@@ -86,5 +86,5 @@
                     <Form.Input id="street" name="street" type='text' required fluid label='Street'
                                 placeholder='Enter address street.' value={this.state.street} onChange={this.handleCheck}/>
-                    <Form.Field control={Button}>Register</Form.Field>
+                    <Form.Field control={Button}>Confirm</Form.Field>
                 </Form>
             </Container>
Index: client_app/src/components/account_edit/team_edit.js
===================================================================
--- client_app/src/components/account_edit/team_edit.js	(revision 6729ba51f1105d56935c5cae90757ade1cac2082)
+++ client_app/src/components/account_edit/team_edit.js	(revision df62f687db832c6b9ba160eff50f603f7707074d)
@@ -77,5 +77,5 @@
                     <Form.Input id="members" name="members" type="number" required fluid label="Number of members"
                                 placeholder="Enter member count." value={this.state.members} onChange={this.handleCheck}/>
-                    <Form.Field control={Button}>Register</Form.Field>
+                    <Form.Field control={Button}>Confirm</Form.Field>
                 </Form>
             </Container>
Index: client_app/src/components/account_edit/user_edit.js
===================================================================
--- client_app/src/components/account_edit/user_edit.js	(revision 6729ba51f1105d56935c5cae90757ade1cac2082)
+++ client_app/src/components/account_edit/user_edit.js	(revision df62f687db832c6b9ba160eff50f603f7707074d)
@@ -118,5 +118,5 @@
                     <Dropdown placeholder="Skills you want to learn..." fluid multiple value={this.state.toLearn} selection options={this.state.sortedOptions} onChange={this.setToKnow}/>
                     <br/>
-                    <Button primary type="submit">Edit</Button>
+                    <Button primary type="submit">Confirm</Button>
                 </Form>
             </Container>
Index: client_app/src/components/template/header.js
===================================================================
--- client_app/src/components/template/header.js	(revision 6729ba51f1105d56935c5cae90757ade1cac2082)
+++ client_app/src/components/template/header.js	(revision df62f687db832c6b9ba160eff50f603f7707074d)
@@ -2,5 +2,5 @@
 import {Link} from "react-router-dom";
 import {Menu, MenuItem } from "semantic-ui-react";
-
+import logo from "../../assets/logo.png";
 
 const HeaderComp = (props) => {
@@ -8,4 +8,9 @@
         return(
             <Menu inverted>
+                <MenuItem>
+                    <div className="ui mini image">
+                        <img src={logo}/>
+                    </div>
+                </MenuItem>
                 <MenuItem  as={Link} to='/register/user'>
                     Register User
@@ -26,4 +31,9 @@
             return(
                 <Menu inverted>
+                    <MenuItem>
+                        <div className="ui mini image">
+                            <img src={logo}/>
+                        </div>
+                    </MenuItem>
                     <Menu.Item as={Link} to='/profile'>
                         Profile
@@ -43,4 +53,9 @@
             return(
                 <Menu inverted>
+                    <MenuItem>
+                        <div className="ui mini image">
+                            <img src={logo}/>
+                        </div>
+                    </MenuItem>
                     <Menu.Item as={Link} to='/profile'>
                         Profile
@@ -60,4 +75,9 @@
             return(
                 <Menu inverted>
+                    <MenuItem>
+                        <div className="ui mini image">
+                            <img src={logo}/>
+                        </div>
+                    </MenuItem>
                     <Menu.Item as={Link} to='/profile'>
                         Profile
Index: client_app/src/components/work_edit/edit_internship.js
===================================================================
--- client_app/src/components/work_edit/edit_internship.js	(revision 6729ba51f1105d56935c5cae90757ade1cac2082)
+++ client_app/src/components/work_edit/edit_internship.js	(revision df62f687db832c6b9ba160eff50f603f7707074d)
@@ -88,5 +88,5 @@
                     <Form.Input id="openSpots" name="openSpots" type='openSpots' value={this.state.openSpots} required fluid label='Open Spots'
                                 placeholder='Enter open spots...' onChange={this.handleCheck}/>
-                    <Button type="submit">Edit</Button>
+                    <Button type="submit">Confirm</Button>
                 </Form>
             </Container>
Index: client_app/src/components/work_edit/edit_job.js
===================================================================
--- client_app/src/components/work_edit/edit_job.js	(revision 6729ba51f1105d56935c5cae90757ade1cac2082)
+++ client_app/src/components/work_edit/edit_job.js	(revision df62f687db832c6b9ba160eff50f603f7707074d)
@@ -86,5 +86,5 @@
                     <Form.Input id="salary" name="salary" type='number' value={this.state.salary} required fluid label='Salary'
                                 placeholder='Enter salary...' onChange={this.handleCheck}/>
-                    <Button type="submit">Edit</Button>
+                    <Button type="submit">Confirm</Button>
                 </Form>
             </Container>
Index: client_app/src/components/work_edit/edit_project.js
===================================================================
--- client_app/src/components/work_edit/edit_project.js	(revision 6729ba51f1105d56935c5cae90757ade1cac2082)
+++ client_app/src/components/work_edit/edit_project.js	(revision df62f687db832c6b9ba160eff50f603f7707074d)
@@ -82,5 +82,5 @@
                     <Form.Input id="salary" name="salary" type='number' value={this.state.salary} required fluid label='Salary'
                                 placeholder='Enter salary...' onChange={this.handleCheck}/>
-                    <Button type="submit">Edit</Button>
+                    <Button type="submit">Confirm</Button>
                 </Form>
             </Container>
